# LISSY API

The API powering lissy.ai-rub.de

## Deployment

Open a `psql -U postgres` shell inside the PostgreSQL container and run:

```sql
CREATE USER lissy PASSWORD '1234';
CREATE DATABASE lissy OWNER lissy;
```


```sh
sudo docker build -t ai/lissy-api:latest .

sudo docker run --rm \
    --link=postgres:postgres \
    -e DATABASE_URL=postgresql://lissy:1234@postgres:5432/lissy \
    ai/lissy-api:latest npx prisma db push

sudo docker run \
    --name lissy-api \
    --restart unless-stopped \
    -e MINIO_HOST=cdn.ai-rub.de \
    -e MINIO_PORT=443 \
    -e MINIO_ACCESS_KEY=lissy \
    -e MINIO_SECRET_KEY=<REPLACE> \
    -e MINIO_SSL=true \
    -e MINIO_BUCKET=lissy \
    -e MINIO_ENTRY_IMAGE_PATH=images \
    -e TELEGRAM_TOKEN=<REPLACE> \
    -e DATABASE_URL=postgresql://lissy:1234@postgres:5432/lissy \
    -d ai/lissy-api:latest

sudo docker network connect nginx lissy-api
sudo docker network connect postgres lissy-api
```
