import {
	CanActivate,
	ExecutionContext,
	ForbiddenException,
	Injectable,
} from '@nestjs/common';
import { GqlExecutionContext } from '@nestjs/graphql';
import { Request } from 'express';
import { AgentFlags } from '../resolvers/models/agent.model';

@Injectable()
export class AdminGuard implements CanActivate {
	canActivate(context: ExecutionContext) {
		const ctx = GqlExecutionContext.create(context);
		const req: Request = ctx.getContext().req;

		if (!req.agent) throw new ForbiddenException('Not an agent');

		if ((req.agent.flags & AgentFlags.ADMIN) !== AgentFlags.ADMIN)
			throw new ForbiddenException('No Admin permissions');

		return true;
	}
}
