import { Agent, Group } from '@prisma/client';
import { NestFactory } from '@nestjs/core';
import { AppModule } from './app.module';

declare module 'express' {
	interface Request {
		group?: Group;
		agent?: Agent;
		isAdmin?: boolean;
	}
}

import * as dotenv from 'dotenv';
dotenv.config();

(async () => {
	const app = await NestFactory.create(AppModule);

	await app.listen(process.env.PORT || 3000);
})();
